import SiderNav from "../_ui/SiderNav";
import { getLinkTypeList } from "../_lib/data/linkType";

export default async function Layout({ children }: Readonly<{ children: React.ReactNode }>) {

    const { list: linkTypeList } = await getLinkTypeList({})


    return (
        <div className="pl-[220px] flex min-h-full w-full font-[family-name:var(--font-geist-sans)] relative">
            <SiderNav linkList={linkTypeList} />
            <div className="w-0 flex-1 relative">
                <div className="absolute z-[-10] from-[#E6EEF4] h-[50vh] w-full  bg-gradient-to-br   via-[#F1ECF4] to-[#F5ECEA]">

                    <div className="absolute z-[-9] from-[#F9F9F9] left-0 to-transparent bg-gradient-to-t w-full h-[80px] bottom-[0px]">
                    </div>

                </div>
                {children}
            </div>

        </div>
    );
}
