import SiderNav from "../_ui/SiderNav";
import Search from "../_ui/Search";
import LinkListBox from "../_ui/LinkListBox";
import { getLinkTypeList } from "../_lib/data/linkType";
import { getLinkListAll } from "../_lib/data/link";
import Footer from "../_ui/footer";

export default async function Page() {

  const { list: linkTypeList } = await getLinkTypeList({})

  const linkList = await getLinkListAll()

  return (
    <div className="flex min-h-full w-full font-[family-name:var(--font-geist-sans)] relative">
      <SiderNav linkList={linkTypeList} />
      <div className="w-full">
  
        <main className="flex-1 relative  flex  flex-col p-5  gap-y-4">

          {/* <HeaderNav></HeaderNav> */}
          <Search></Search>
          {/* <PosterBox posterList={[]} /> */}
          <LinkListBox linkList={linkList} linkTypeList={linkTypeList} showHot showRecent></LinkListBox>
        </main>
        <Footer></Footer>
      </div>

    </div>
  );
}
